> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Mappings

> Returns the versioned Toku-category to QBO-account mappings for the client's connection and invoice type.

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-account-mappings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-account-mappings:
    get:
      operationId: getAccountMappings
      summary: Get Account Mappings
      x-toku-required-scope: integrations:read
      description: >-
        Returns the versioned Toku-category to QBO-account mappings for the
        client's connection and invoice type.


        Required scope: `integrations:read`
      parameters:
        - name: clientId
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: invoiceType
          in: query
          required: true
          schema:
            type: string
            enum:
              - EOR_PEO
              - CONTRACTOR
              - W2_YEAR_END
              - HRIS_PAYROLL
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccountMappingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAccountMappingsResponse:
      type: object
      properties:
        version:
          type: integer
        mappings:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              connectionId:
                type: string
              invoiceType:
                type: string
                enum:
                  - EOR_PEO
                  - CONTRACTOR
                  - W2_YEAR_END
                  - HRIS_PAYROLL
              tokuCategory:
                type: string
                enum:
                  - GROSS_WAGES
                  - EMPLOYER_TAXES
                  - EMPLOYER_BENEFITS
                  - EOR_MANAGEMENT_FEE
                  - CONTRACTOR_PAYMENTS
                  - CONTRACTOR_MANAGEMENT_FEE
                  - GROSS_CRYPTO
                  - NET_CRYPTO_PAYABLE
                  - EMPLOYER_TOKEN_TAXES
                  - TOKEN_TAX_WITHHOLDING
                  - EMPLOYEE_TAX_WITHHOLDING
                  - EMPLOYEE_BENEFITS_WITHHOLDING
                  - ACCOUNTS_PAYABLE
                  - EMPLOYER_COST_PAYABLE
                  - NET_PAY_CLEARING
              qboAccountId:
                type: string
              qboAccountName:
                type: string
              version:
                type: integer
              createdAt:
                type: string
              createdBy:
                type: string
            required:
              - id
              - connectionId
              - invoiceType
              - tokuCategory
              - qboAccountId
              - qboAccountName
              - version
              - createdAt
              - createdBy
      required:
        - version
        - mappings
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
